Bug 2080219 - Cluster destroy fails when using byo with Kuryr and there is no pre-created router
Summary: Cluster destroy fails when using byo with Kuryr and there is no pre-created r...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.z
Assignee: Michał Dulko
QA Contact: Itay Matza
URL:
Whiteboard:
Depends On: 2066406
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-04-29 09:42 UTC by Michał Dulko
Modified: 2022-05-26 17:00 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 2066406
Environment:
Last Closed: 2022-05-26 17:00:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 5855 0 None open Bug 2080219: OpenStack+Kuryr: Fix `cluster destroy` with BYON 2022-04-29 09:44:39 UTC
Red Hat Product Errata RHSA-2022:2264 0 None None None 2022-05-26 17:00:23 UTC

Comment 1 ShiftStack Bugwatcher 2022-04-30 07:03:22 UTC
Removing the Triaged keyword because:
* the QE automation assessment (flag qe_test_coverage) is missing

Comment 5 Roshni 2022-05-23 13:55:15 UTC
@rlobillo@redhat.com would you be able to verify this bug?

Comment 6 Itay Matza 2022-05-23 14:07:43 UTC
Hey @rpattath@redhat.com, 

I'm working on verification. This verification has been delayed as a result of infra issues due to a new version of openstacksdk.
I will try to verify it ASAP.

Comment 7 Itay Matza 2022-05-23 21:17:56 UTC
Verified on 4.6.58 on top of RHOS-16.1-RHEL-8-20220329.n.1

$ openshift-install version
openshift-install 4.6.58
built from commit ee8de998cbb63b3dd94f7fea0705c51576b4dd6f
release image registry.ci.openshift.org/ocp/release@sha256:e676ad0708b6e7c8988a368977bf12036f7359f34339fdc9b2f225109b0855dd

$ oc get clusterversion
NAME      VERSION   AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.6.58    True        False         23m     Cluster version is 4.6.58


Cluster destroy after ipi proxy installation finished successfully:

$ openshift-install destroy cluster
INFO Time elapsed: 10m48s


$ openstack router list
$

Comment 9 errata-xmlrpc 2022-05-26 17:00:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.6.58 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:2264


Note You need to log in before you can comment on or make changes to this bug.